<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/icn_resignation.png">Resignation</h2>   
<div class="card formFieldsBlock">
  <div class="col-sm-12">
    <form [formGroup]="resignationForm" (ngSubmit)="onSubmit($event)" #formEl="ngForm">
      <div class="row" style="align-items: flex-end;">
        <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
              <mat-label>Request Type</mat-label>
              <mat-select formControlName="RequestType" reuired>
                  <mat-option value="Final Exit" (click)="onUpdateRequest('Final Exit')">Final Exit</mat-option>
                  <mat-option value="Local Transfer" (click)="onUpdateRequest('Local Transfer')">Local Transfer</mat-option>
                </mat-select>   
                <mat-error *ngIf="resignationForm.controls['RequestType'].errors?.required &&
                resignationForm.controls['RequestType'].touched">
                    Please Select Request Type.
                </mat-error>   
            </mat-form-field> 
          </div>

          <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
              <mat-label>If Others</mat-label>        
                <textarea matInput maxlength="120" formControlName="IfOthers"  required></textarea>  
                <mat-error *ngIf="resignationForm.controls['IfOthers'].errors?.required &&
                resignationForm.controls['IfOthers'].touched">
                      Please Enter If Others.
                  </mat-error>   
          </mat-form-field> 
          </div>

      </div> 
      <div class="row">

        <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
              <mat-label>Notice Period</mat-label>
              <mat-select formControlName="NoPeriod" reuired>
                  <mat-option value="1">1 Month Notice</mat-option>
                  <mat-option value="2">2 Month Notice</mat-option>
                  <mat-option value="3">3 Month Notice</mat-option>
                </mat-select>   
                <mat-error *ngIf="resignationForm.controls['NoPeriod'].errors?.required &&
                resignationForm.controls['NoPeriod'].touched">
                    Please Select Notice Period.
                </mat-error>   
            </mat-form-field> 
          </div>

          <div class="col-sm-6">
            <mat-form-field appearance="standard">
              <mat-label>Exit ticket required for date</mat-label>
              
              <input matInput (click)="picker1.open()" [matDatepicker]="picker1" formControlName="DateofLeaving" required>
              <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
              <mat-datepicker #picker1></mat-datepicker>     
              <mat-error *ngIf="resignationForm.controls['DateofLeaving'].errors?.required &&
              resignationForm.controls['DateofLeaving'].touched">
                  Please Select Exit ticket required for date.
              </mat-error>
          </mat-form-field>
          </div>
        
        
      </div>  
      <div class="row" style="align-items: flex-end;">

        <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
              <mat-label> Exact Detail of Routing</mat-label>        
                <textarea matInput maxlength="120" formControlName="Exact" required></textarea>  
                <mat-error *ngIf="resignationForm.controls['Exact'].errors?.required &&
                resignationForm.controls['Exact'].touched">
                      Please Enter Exact Detail of Routing.
                  </mat-error>   
          </mat-form-field> 
          </div>

          <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
              <mat-label>Mobile No.</mat-label>
              <input matInput type="number"  formControlName="Mobile" maxlength="15" required autocomplete="off"  />     
              <mat-error *ngIf="resignationForm.controls['Mobile'].errors?.required &&
                resignationForm.controls['Mobile'].touched">
                      Please Enter Mobile No.
                  </mat-error>  
            </mat-form-field> 
          </div>
      </div>  

      <div class="row" style="align-items: flex-end;">
        <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
              <mat-label>Reason</mat-label>        
                <textarea matInput maxlength="120" formControlName="Reason"  required></textarea>  
                <mat-error *ngIf="resignationForm.controls['Reason'].errors?.required &&
                resignationForm.controls['Reason'].touched">
                      Please Enter Reason.
                  </mat-error>   
          </mat-form-field> 
          </div>

          <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
              <mat-label>Last Work Day</mat-label>            
              <input matInput  (click)="picker.open()" [matDatepicker]="picker" formControlName="LastWorkDay" required>
              <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
              <mat-datepicker #picker></mat-datepicker>  
              <mat-error *ngIf="resignationForm.controls['LastWorkDay'].errors?.required &&
              resignationForm.controls['LastWorkDay'].touched">
                  Please Select Last Work Day.
              </mat-error>  
               
            </mat-form-field>             
          </div>

      </div> 

      <div class="row">
        <div class="col-sm-6"> 
        <mat-form-field class="email-field" appearance="standard" >
          <mat-label>Note</mat-label>        
            <textarea matInput maxlength="150" formControlName="Notes"  required></textarea>  
            <mat-error *ngIf="resignationForm.controls['Notes'].errors?.required &&
            resignationForm.controls['Notes'].touched">
                  Please Enter Notes.
              </mat-error>   
      </mat-form-field> 
      </div>
    </div> 
    
      
      
      <br>
      <div class="text-center">
        <button mat-raised-button  [disabled]="!resignationForm.valid" class="submit-btn"> Submit</button>
        <button type="button" mat-raised-button class="submit-btn" (click)="cancel()">Cancel</button>
      </div>
        
      </form>
  </div>
</div>



